com.verisign.epp.transport

## Class EPPEventTstHandler

- java.lang.Object
- - com.verisign.epp.transport.EPPEventTstHandler

- All Implemented Interfaces:
    ServerEventHandler, java.lang.Cloneable

      public class EPPEventTstHandler
      extends java.lang.Object
      implements ServerEventHandler

  EPPEventTstHandler : This class is not part of Implementatin. It is provided for unit testing, Debuging and it may also serve as a Sample Code also.
  Since:
    JDK1.0
  Version:
    $Id: EPPEventTstHandler.java,v 1.2 2004/01/26 21:21:06 jim Exp $
  Author:
    P. Amiri

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPEventTstHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` DOCUMENT ME!
    `void` | `handleConnection(java.io.InputStream newInputStream, java.io.OutputStream newOutputStream)` DOCUMENT ME!

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPEventTstHandler

          public EPPEventTstHandler()

  - ### Method Detail

    - #### handleConnection

          public void handleConnection(java.io.InputStream newInputStream,
                                       java.io.OutputStream newOutputStream)

      DOCUMENT ME!
      Specified by:
        `handleConnection` in interface `ServerEventHandler`
      Parameters:
        `newInputStream` - DOCUMENT ME!
        `newOutputStream` - DOCUMENT ME!

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      DOCUMENT ME!
      Specified by:
        `clone` in interface `ServerEventHandler`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        DOCUMENT ME!
      Throws:
        `java.lang.CloneNotSupportedException` - DOCUMENT ME!

Copyright © VeriSign Inc. All Rights Reserved.